Bug 1298144 - Missing "Event Detection" option from the drop down list when trying to create an alert using alert template
Missing "Event Detection" option from the drop down list when trying to creat...
Status: CLOSED ERRATA
Product: JBoss Operations Network
Classification: JBoss
Component: Core Server (Show other bugs)
JON 3.3.4
Unspecified Unspecified
high Severity medium
: DR01
: JON 3.3.6
Assigned To: Josejulio Martínez
Sunil Kondkar
: Regression, Triaged
Depends On: 1298147
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-13 05:39 EST by bkramer
Modified: 2016-07-27 11:32 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-27 11:32:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1422113 None None None 2016-01-13 05:43 EST

  None (edit)
Description bkramer 2016-01-13 05:39:27 EST
Description of problem:
When trying to create an alert using alert template, "Event Detection" option is not listed in the drop down list "Condition Type". 

Version-Release number of selected component (if applicable):
JBoss ON 3.3

How reproducible:
Always

Steps to Reproduce:
1. Install and start JBoss ON environment 
2. Navigate to JBoss ON UI -> Administration -> Alert Definition Templates -> Linux -> click on the pencil icon to add new alert definition template
3. Click on "New" button, give it a name and navigate to "Conditions" tab
4. Click on "Add" button and navigate to "Condition Type" drop down list;


Actual results:
Presented list does not show "Event Detection" option.

Expected results:
Presented list contains "Event Detection" option.

Additional info:
To enable this option, user needs to navigate to the resource in the JBoss ON UI -> Inventory and then to repeat above steps. However, when JBoss ON Server is restarted, "Event Detection" will be disabled again and user will have again to navigate to the resource for which resource type they want to create an alert.
Comment 1 Josejulio Martínez 2016-01-27 16:48:07 EST
commit 07484f24afff6183f9cc8cc888f628680cd3cb8f
Author: Josejulio Martínez <jmartine@redhat.com>
Date:   Wed Jan 27 10:37:50 2016 -0600

    [BZ 1298144] - Missing "Event Detection" option from the drop down list when trying to create an alert using alert template.
    Now request for MetadataType events and resourceConfigurationDefinition to take into account the EventDetection.
Comment 2 Mike McCune 2016-03-28 18:47:43 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 4 Simeon Pinder 2016-06-17 21:11:37 EDT
Moving to ON_QA as available to test with JON 3.3.6 DR01 brew build:
https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=499890
Comment 5 Sunil Kondkar 2016-06-23 07:00:18 EDT
Verified on version : 3.3.0.GA Update 06 Build Number :	675641d:2fcd5b7

Verified that the 'Event Detection' option is shown in the drop down list when trying to create alert definition using 'Linux' alert definition template.

Created the 'Linux' platform alert definition with 'Event Detection' option and verified that the alert definition is available at the linux platform resource.
Comment 6 errata-xmlrpc 2016-07-27 11:32:18 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1519.html

Note You need to log in before you can comment on or make changes to this bug.